Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2subsequentOptionReachedTargetStateCondition Class Reference

Represents an 'subsequent-option-reached-target-state' element of the option graph. More...

`#include <Xabsl2BooleanExpression.h>`

Inheritance diagram for Xabsl2subsequentOptionReachedTargetStateCondition:

[legend]
Collaboration diagram for Xabsl2subsequentOptionReachedTargetStateCondition:

[legend]
List of all members.

## Public Member Functions
| Xabsl2subsequentOptionReachedTargetStateCondition (Xabsl2Option *subsequentOption, Xabsl2ErrorHandler &errorHandler)
| Constructor.
virtual bool | getValue ()
| Evaluates the boolean expression.
## Private Attributes
Xabsl2Option * | subsequentOption
| The subsequent option of that state.

## Detailed Description

Represents an 'subsequent-option-reached-target-state' element of the option graph.

Author:
  Martin Lötzsch

Definition at line 194 of file Xabsl2BooleanExpression.h.

## Constructor & Destructor Documentation

Xabsl2subsequentOptionReachedTargetStateCondition::Xabsl2subsequentOptionReachedTargetStateCondition | ( | Xabsl2Option * | subsequentOption,
|  | Xabsl2ErrorHandler & | errorHandler
| ) |

  | Constructor. Creates the element. Parameters:
  subsequentOption | The subsequent option of the state. 0 if the subsequent behavior is a basic behavior
  errorHandler | A reference to a Xabsl2ErrorHandler instance
Definition at line 286 of file Xabsl2BooleanExpression.cpp. References Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

## Member Function Documentation

bool Xabsl2subsequentOptionReachedTargetStateCondition::getValue | ( |  | ) | `[virtual]`

| Evaluates the boolean expression. Implements Xabsl2BooleanExpression. Definition at line 293 of file Xabsl2BooleanExpression.cpp. References Xabsl2Option::getOptionReachedATargetState(), and subsequentOption.

Here is the call graph for this function:

## Member Data Documentation

Xabsl2Option* Xabsl2subsequentOptionReachedTargetStateCondition::subsequentOption`[private]`

| The subsequent option of that state. Definition at line 211 of file Xabsl2BooleanExpression.h. Referenced by getValue().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.cpp